Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Class CannotEvaluateException

    Object
      Throwable
          Exception
              RuntimeException
                  CannotEvaluateException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CoverageDomainException, PointOutsideCoverageException

    public class CannotEvaluateException

extends RuntimeException

The base class for exceptions thrown when a quantity can't be evaluated. This exception is usually invoked by a `Coverage.evaluate(…)` method, for example when a point is outside the coverage.

Since:
  GeoAPI 1.0
See Also:
  `Coverage.evaluate(DirectPosition, byte[])`, `Coverage.evaluate(DirectPosition, double[])`, Serialized Form

Constructor Summary
`CannotEvaluateException()` Creates an exception with no message.
`CannotEvaluateException(String message)` Creates an exception with the specified message.
`CannotEvaluateException(String message, Throwable cause)` Creates an exception with the specified message.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CannotEvaluateException

    public CannotEvaluateException()

  Creates an exception with no message.

### CannotEvaluateException

    public CannotEvaluateException(String message)

  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

### CannotEvaluateException

    public CannotEvaluateException(String message,
                                   Throwable cause)

  Creates an exception with the specified message.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - The cause for this exception. The cause is saved for later retrieval by the `Throwable.getCause()` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.